using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Core.Entities;

public class Chat
{
    [BsonId]
    [BsonRepresentation(BsonType.String)]
    public Guid Id { get; set; }

    public Guid PatientId { get; set; }
    public Guid DoctorId { get; set; }

    public List<Message> Messages { get; set; } = new List<Message>();
}

public class Message
{
    [BsonRepresentation(BsonType.String)]
    public Guid UserId { get; set; }

    public string Content { get; set; }
}
